# $Revision: 1.24 $, $Date: 2011/09/14 10:38:12 $
# TODO:
# - consider move %{_bindir}/rpmorphan-lib.pl to other place
# - rpmduplicate show multilib packages as duplicated, IMO this is incorrect
#   # rpmduplicate
#   duplicate fam-libs : 2.7.0-7 (Fri Mar  2 01:55:12 2007) / 2.7.0-7 (Fri Mar  2 03:47:52 2007)
#   suggest : rpm -e fam-libs-2.7.0-7
#   # rpm -q fam-libs
#   fam-libs-2.7.0-7.x86_64
#   fam-libs-2.7.0-7.i686
# - rpmdeps doesn't support provides, it shows them as missing
#   "WARNING can not find who provide XXX" where XXX is not installed provide
%include	/usr/lib/rpm/macros.perl
Summary:	rpmorphan - list the orphaned rpm packages
Summary(fr.UTF-8):	rpmorphan liste les packages rpm orphelins
Summary(pl.UTF-8):	rpmorphan - wyświetlanie listy osieroconych pakietów
Name:		rpmorphan
Version:	1.10
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/rpmorphan/%{name}-%{version}.tar.gz
# Source0-md5:	7ead8c4a0684aa10f3b010ac66a0f3d2
Patch0:		%{name}-noarch.patch
URL:		http://rpmorphan.sourceforge.net/
BuildRequires:	rpm-perlprov
Suggests:	perl-Curses-UI
Suggests:	perl-Tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rpmorphan finds "orphaned" packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages. It intends to be clone of
deborphan debian tools for rpm packages.

It will try to help you to remove unused packages, for example:
- after a distribution upgrade,
- when you want to suppress packages after some tests.

Several tools are also provided:
- rpmusage - display rpm packages last use date
- rpmdep - display the full dependency of an installed rpm package
- rpmduplicates - find programs with several version installed

%description -l fr.UTF-8
Le logiciel rpmorphan liste les packages rpm qui n'ont plus de
dépendances avec les autres paquets installés sur votre systčme. C'est
un clone du logiciel deborphan de debian pour les packages rpm.

Il peut vous aider pour supprimer les packages inutilisés, par
exemple:
- aprčs une montée de version systčme,
- lors de la suppression de logiciels aprčs des tests.

Plusieurs outils sont également fournis:
- rpmusage - donne la date de la derničre utilisation d'un package
- rpmdep - founit l'ensemble des dependances (recursive) d'un package
- rpmduplicates - cherche les logiciels qui ont plusieurs versions
  installées

%description -l pl.UTF-8
rpmorphan znajduje "osierocone" pakiety w systemie. Określa które
pakiety nie są zależnościami innych pakietów i wyświetla ich listę. W
zamyśle ma to być klon deborphana dla pakietów rpm.

Pomaga on usuwać nie używane pakiety, np.:
- po uaktualnieniu dystrybucji,
- kiedy chcemy usunąć pakiety po jakichś testach.

Dostarcza dodatkowo narzędzia:
- rpmusage - wyświetla datę ostatniego użycia pakietu
- rpmdep - wyświetla pełne zależności zainstalowanego pakietu
- rpmduplicates - wyszukuje programy zainstalowane w kilku wersjach

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install rpmorphanrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/rpmorphanrc
touch $RPM_BUILD_ROOT/var/log/%{name}.log

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Authors Changelog NEWS Readme Todo
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpmorphanrc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/rpmorphan
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/rpmorphan
%dir %{_datadir}/rpmorphan/locale
%{_datadir}/rpmorphan/locale/en
%lang(fr) %{_datadir}/rpmorphan/locale/fr_FR
%{_mandir}/man1/rpmdep.1*
%{_mandir}/man1/rpmextra.1*
%{_mandir}/man1/rpmduplicates.1*
%{_mandir}/man1/rpmorphan.1*
%{_mandir}/man1/rpmusage.1*
%attr(640,root,root) %ghost /var/log/%{name}.log
%dir /var/lib/%{name}
/var/lib/%{name}/keep

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpmorphan.spec,v $
Revision 1.24  2011/09/14 10:38:12  lisu
- pl fix

Revision 1.23  2011/07/11 19:45:39  uzsolt
- 1.10

Revision 1.22  2011/03/24 11:31:05  uzsolt
- 1.9
- rpmextra manual page
- rel 1

Revision 1.21  2010/11/14 10:07:47  baggins
- move locale from /usr/lib to /usr/share

Revision 1.20  2010/11/13 19:22:43  baggins
- rel 2
- use make for installing and fix files list

Revision 1.19  2010/05/05 10:03:04  uzsolt
- 1.8

Revision 1.18  2010/01/22 15:27:36  uzsolt
- up to 1.6 (untested)

Revision 1.17  2009/12/12 13:58:25  uzsolt
- 1.5

Revision 1.16  2009/01/12 18:00:53  arvenil
- up to 1.4 (untested)

Revision 1.15  2008/10/20 19:30:45  arvenil
- up to 1.3
- patch -array_rc_opt.patch already in source

Revision 1.14  2008/10/19 05:51:26  sls
- added array_rc_opt.patch
- rel. 2

Revision 1.13  2008/04/09 19:48:30  arvenil
- up to 1.2
- applications renamed instead making simlinks
- no more SIGSEGV after exiting tk gui
- more TODO

Revision 1.12  2008-03-17 18:56:45  qboosh
- use perlprov to get perl-modules dep

Revision 1.11  2008-03-16 23:29:31  arvenil
- R: perl-modules

Revision 1.10  2008-03-16 23:11:59  arvenil
- release 1

Revision 1.9  2007-12-30 10:00:14  arvenil
- up to 1.1
- added TODO

Revision 1.8  2007-11-26 11:55:15  arvenil
- S: perl-Curses-UI (part of TODO)
- S: perl-Tk (part of TODO)

Revision 1.7  2007-05-09 09:30:12  arvenil
- up to 1.0

Revision 1.6  2007/04/07 14:45:19  mmazur
- typo

Revision 1.5  2007/04/03 16:41:38  arvenil
- up to 0.9
- updated TODO (gui works - I was just to stupid to run it)

Revision 1.4  2007/03/31 18:04:04  qboosh
- pl fixes, cleanup, md5

Revision 1.3  2007/03/26 21:38:49  arvenil
- better group
- let the author decide about capital letters in doc names
- added "Linux Software Map" doc

Revision 1.2  2007/03/26 20:06:29  arvenil
- init
- works but without a gui
